(* $Id: test_ppm0.ml,v 1.5 2014/02/27 16:36:36 fclement Exp $ *)

open Ppm;;
open Pixmap;;
open Graphics;;

(* To animate the test. *)
let wait () =
 print_string "\nPress return to continue"; flush stdout;
 let _ = input_line stdin in
 ();;

let print_and_wait s =
 print_string s; print_newline (); wait ();;

(* To load and save in the proper directory. *)
let load_ppm_file s = load_ppm (Filename.concat "ppms" s);;
let save_ppm_file s ppm = save_ppm (Filename.concat "ppms" s) ppm;;
let save_bitmap_file s ppm = save_bitmap (Filename.concat "ppms" s) ppm;;
let load_bitmap = load_ppm_file;;

(* Open the graphics window and clear it to black. *)
let open_black_graphics sz_x sz_y =
 open_graph (Printf.sprintf " %dx%d" sz_x sz_y);
 set_color black; fill_rect 0 0 sz_x sz_y;;

open_black_graphics 600 450;;

(* Load and draw a reference image. *)
let small_test_pixmap = load_ppm_file "small_test.ppm";;
draw_pixmap small_test_pixmap 0 0;
print_and_wait "Small_test loaded and drawn.";;

(* Load and draw a reference image. *)
let small_test_indent_pixmap = load_ppm_file "small_test_indent.ppm";;
draw_pixmap small_test_indent_pixmap 0 0;
print_and_wait "Small_test_indent loaded and drawn.";;
