(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2005-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: options_pio.mli,v 1.7 2014/02/09 20:13:38 fclement Exp $ *)

(** The Pio/OCaml library global settings. *)

(** There are two modes for reading/writing values in the Pio/OCaml library: the
binary and ascii modes. Binary mode means that basic values are transmitted in
a pure binary format which is not human readable. Ascii mode means that values
are transmitted in plain ASCII characters, a human readable format. The binary
mode is more compact and more reliable than ascii mode (e.g. floating point
numbers could be approximated when using ascii mode, whereas in binary mode
their exact bitwise contents is written and read back with no information
loss). *)

val get_binary_mode : unit -> bool;;
(** Get the current value of the binary mode. *)

val pf : Udebug.printing_facilities;;
