(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ustring_command_option_spec.mli,v 1.8 2014-01-06 13:53:08 fclement Exp $ *)

module type STRUCTURE =
sig
  type t;;
  
  val name : string;;
  val plural_name : string;;
  val default : t;;
  val all : t list;;
  val of_string : string -> t;;
  val to_string : t -> string;;
end
;;

module type MAKER =
  functor (S : STRUCTURE) ->
sig
  type t = S.t;;
  
  val get : unit -> t;;
  val option : Ucommand_option.regular_command_option;;
end
;;
